Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ParamInvKinWalkingEngine Class Reference

This class is a wrapper for the InvKinWalkingEngine calling a given instance of the engine with a specific set of parameters. More...

`#include <InvKinWalkingEngine.h>`

Inheritance diagram for ParamInvKinWalkingEngine:

[legend]
Collaboration diagram for ParamInvKinWalkingEngine:

[legend]
List of all members.

## Public Member Functions
| ParamInvKinWalkingEngine (InvKinWalkingParameters *pParams, InvKinWalkingEngine *pEngine)
| ~ParamInvKinWalkingEngine ()
virtual bool | executeParameterized (JointData &jointData, const WalkRequest &walkRequest, double positionInWalkingCycle)
| Calculates the next joint data set.
bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
## Public Attributes
InvKinWalkingEngine * | pEngine
InvKinWalkingParameters * | pParams

## Detailed Description

This class is a wrapper for the InvKinWalkingEngine calling a given instance of the engine with a specific set of parameters.

Author:
  Max Risler

Definition at line 165 of file InvKinWalkingEngine.h.

## Constructor & Destructor Documentation

ParamInvKinWalkingEngine::ParamInvKinWalkingEngine | ( | InvKinWalkingParameters * | pParams,
|  | InvKinWalkingEngine * | pEngine
| ) | `[inline]`

| Definition at line 168 of file InvKinWalkingEngine.h.

ParamInvKinWalkingEngine::~ParamInvKinWalkingEngine | ( |  | ) | `[inline]`

| Definition at line 174 of file InvKinWalkingEngine.h. References pParams.

## Member Function Documentation

virtual bool ParamInvKinWalkingEngine::executeParameterized | ( | JointData & | jointData,
|  | const WalkRequest & | walkRequest,
|  | double | positionInWalkingCycle
| ) | `[inline, virtual]`

  | Calculates the next joint data set. Parameters:
  jointData | stores calculated frame
  walkRequest | The current motion request
  positionInWalkingCycle | A request position for the walkcycle.
Returns: true if next set should be calculated by WalkingEngine false if change to other module can occur Implements WalkingEngine. Definition at line 182 of file InvKinWalkingEngine.h. References InvKinWalkingEngine::executeParameterized(), pParams, and InvKinWalkingEngine::setParameters().

Here is the call graph for this function:

bool ParamInvKinWalkingEngine::handleMessage | ( | InMessage & | message | ) | `[inline, virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Reimplemented from Module. Definition at line 189 of file InvKinWalkingEngine.h. References InMessage::bin, InMessage::getMessageID(), InvKinWalkingEngine::handleMessage(), idInvKinWalkingParameters, pParams, and InvKinWalkingParameters::readValues().

Here is the call graph for this function:

## Member Data Documentation

InvKinWalkingEngine* ParamInvKinWalkingEngine::pEngine

| Definition at line 179 of file InvKinWalkingEngine.h.

InvKinWalkingParameters* ParamInvKinWalkingEngine::pParams

| Definition at line 180 of file InvKinWalkingEngine.h. Referenced by executeParameterized(), handleMessage(), and ~ParamInvKinWalkingEngine().

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/InvKinWalkingEngine.h